/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 02995
 |            UNIFORM FACILITY DATA SET, 1997: [UNITED STATES]
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (MODE <= -1) THEN MODE = .;
   IF (STFIPS <= -1) THEN STFIPS = .;
   IF (TREATMT <= -1) THEN TREATMT = .;
   IF (PREVNTN <= -1) THEN PREVNTN = .;
   IF (OTHNONTX <= -1) THEN OTHNONTX = .;
   IF (OWNERSHP <= -1) THEN OWNERSHP = .;
   IF (FEDOWN <= -1) THEN FEDOWN = .;
   IF (HOTYN <= -1) THEN HOTYN = .;
   IF (LOC1 <= -1) THEN LOC1 = .;
   IF (LOC2 <= -1) THEN LOC2 = .;
   IF (LOC3 <= -1) THEN LOC3 = .;
   IF (LOC4 <= -1) THEN LOC4 = .;
   IF (LOC5 <= -1) THEN LOC5 = .;
   IF (LOC6 <= -1) THEN LOC6 = .;
   IF (LOC7 <= -1) THEN LOC7 = .;
   IF (LOC8 <= -1) THEN LOC8 = .;
   IF (MGMCARE <= -1) THEN MGMCARE = .;
   IF (WRITARRA <= -1) THEN WRITARRA = .;
   IF (WRITNUM <= -1) THEN WRITNUM = .;
   IF (NEWSET2 <= -1) THEN NEWSET2 = .;
   IF (ADMIN <= -1) THEN ADMIN = .;
   IF (SETTING <= -1) THEN SETTING = .;
   IF (WAITLIST <= -1) THEN WAITLIST = .;
   IF (WAITNUM <= -1) THEN WAITNUM = .;
   IF (SRVC1 <= -1) THEN SRVC1 = .;
   IF (SRVC2 <= -1) THEN SRVC2 = .;
   IF (SRVC3 <= -1) THEN SRVC3 = .;
   IF (SRVC4 <= -1) THEN SRVC4 = .;
   IF (SRVC5 <= -1) THEN SRVC5 = .;
   IF (SRVC6 <= -1) THEN SRVC6 = .;
   IF (SRVC7 <= -1) THEN SRVC7 = .;
   IF (SRVC8 <= -1) THEN SRVC8 = .;
   IF (SRVC9 <= -1) THEN SRVC9 = .;
   IF (SRVC10 <= -1) THEN SRVC10 = .;
   IF (SRVC11 <= -1) THEN SRVC11 = .;
   IF (SRVC12 <= -1) THEN SRVC12 = .;
   IF (SRVC13 <= -1) THEN SRVC13 = .;
   IF (SRVC14 <= -1) THEN SRVC14 = .;
   IF (SRVC15 <= -1) THEN SRVC15 = .;
   IF (SRVC16 <= -1) THEN SRVC16 = .;
   IF (SRVC17 <= -1) THEN SRVC17 = .;
   IF (SRVC18 <= -1) THEN SRVC18 = .;
   IF (SRVC19 <= -1) THEN SRVC19 = .;
   IF (SRVC20 <= -1) THEN SRVC20 = .;
   IF (SRVC21 <= -1) THEN SRVC21 = .;
   IF (SRVC22 <= -1) THEN SRVC22 = .;
   IF (SRVC23 <= -1) THEN SRVC23 = .;
   IF (SRVC24 <= -1) THEN SRVC24 = .;
   IF (SRVC25 <= -1) THEN SRVC25 = .;
   IF (SRVC26 <= -1) THEN SRVC26 = .;
   IF (SRVC27 <= -1) THEN SRVC27 = .;
   IF (SRVC28 <= -1) THEN SRVC28 = .;
   IF (SRVC29 <= -1) THEN SRVC29 = .;
   IF (SRVC31 <= -1) THEN SRVC31 = .;
   IF (SRVC35 <= -1) THEN SRVC35 = .;
   IF (SRVC36 <= -1) THEN SRVC36 = .;
   IF (SRVC37 <= -1) THEN SRVC37 = .;
   IF (SRVC38 <= -1) THEN SRVC38 = .;
   IF (SRVC39 <= -1) THEN SRVC39 = .;
   IF (SRVC40 <= -1) THEN SRVC40 = .;
   IF (SRVC41 <= -1) THEN SRVC41 = .;
   IF (SRVC42 <= -1) THEN SRVC42 = .;
   IF (SRVC43 <= -1) THEN SRVC43 = .;
   IF (SRVC44 <= -1) THEN SRVC44 = .;
   IF (SRVC45 <= -1) THEN SRVC45 = .;
   IF (SRVC46 <= -1) THEN SRVC46 = .;
   IF (SRVC47 <= -1) THEN SRVC47 = .;
   IF (SRVC48 <= -1) THEN SRVC48 = .;
   IF (SRVC49 <= -1) THEN SRVC49 = .;
   IF (SRVC50 <= -1) THEN SRVC50 = .;
   IF (SRVC51 <= -1) THEN SRVC51 = .;
   IF (SRVC52 <= -1) THEN SRVC52 = .;
   IF (SRVC53 <= -1) THEN SRVC53 = .;
   IF (SRVC54 <= -1) THEN SRVC54 = .;
   IF (SRVC55 <= -1) THEN SRVC55 = .;
   IF (SRVC56 <= -1) THEN SRVC56 = .;
   IF (SRVC57 <= -1) THEN SRVC57 = .;
   IF (SRVC58 <= -1) THEN SRVC58 = .;
   IF (SRVC59 <= -1) THEN SRVC59 = .;
   IF (SRVC60 <= -1) THEN SRVC60 = .;
   IF (SRVC61 <= -1) THEN SRVC61 = .;
   IF (SRVC30 <= -1) THEN SRVC30 = .;
   IF (SRVC32 <= -1) THEN SRVC32 = .;
   IF (SRVC33 <= -1) THEN SRVC33 = .;
   IF (SRVC34 <= -1) THEN SRVC34 = .;
   IF (METLAAM <= -1) THEN METLAAM = .;
   IF (CLIEST <= -1) THEN CLIEST = .;
   IF (HOSPRES <= -1) THEN HOSPRES = .;
   IF (DEMOGEST <= -1) THEN DEMOGEST = .;
   IF (METNUM <= -1) THEN METNUM = .;
   IF (LAAMNUM <= -1) THEN LAAMNUM = .;
   IF (PREGNUM <= -1) THEN PREGNUM = .;
   IF (DEPNUM <= -1) THEN DEPNUM = .;
   IF (INJNUM <= -1) THEN INJNUM = .;
   IF (TBNUM <= -1) THEN TBNUM = .;
   IF (HIVNUM <= -1) THEN HIVNUM = .;
   IF (PREVNUM <= -1) THEN PREVNUM = .;
   IF (MGDNUM <= -1) THEN MGDNUM = .;
   IF (CJNUM <= -1) THEN CJNUM = .;
   IF (PARENT <= -1) THEN PARENT = .;
   IF (NUMSUBS <= -1) THEN NUMSUBS = .;
   IF (ADMINLNK <= -1) THEN ADMINLNK = .;
   IF (OTHFAC <= -1) THEN OTHFAC = .;
   IF (OTHNUM <= -1) THEN OTHNUM = .;
   IF (T_CLI1 <= -1) THEN T_CLI1 = .;
   IF (T_CLI2 <= -1) THEN T_CLI2 = .;
   IF (HOSPBED <= -1) THEN HOSPBED = .;
   IF (H_AGE1 <= -1) THEN H_AGE1 = .;
   IF (H_AGE2 <= -1) THEN H_AGE2 = .;
   IF (H_AGE3 <= -1) THEN H_AGE3 = .;
   IF (H_AGE4 <= -1) THEN H_AGE4 = .;
   IF (H_AGE5 <= -1) THEN H_AGE5 = .;
   IF (H_AGE6 <= -1) THEN H_AGE6 = .;
   IF (H_AGE7 <= -1) THEN H_AGE7 = .;
   IF (H_AGE9 <= -1) THEN H_AGE9 = .;
   IF (H_RE1 <= -1) THEN H_RE1 = .;
   IF (H_RE2 <= -1) THEN H_RE2 = .;
   IF (H_RE3 <= -1) THEN H_RE3 = .;
   IF (H_RE4 <= -1) THEN H_RE4 = .;
   IF (H_RE5 <= -1) THEN H_RE5 = .;
   IF (H_RE6 <= -1) THEN H_RE6 = .;
   IF (H_RE8 <= -1) THEN H_RE8 = .;
   IF (H_SEX1 <= -1) THEN H_SEX1 = .;
   IF (H_SEX2 <= -1) THEN H_SEX2 = .;
   IF (H_SEX4 <= -1) THEN H_SEX4 = .;
   IF (T_CLI3 <= -1) THEN T_CLI3 = .;
   IF (T_CLI4 <= -1) THEN T_CLI4 = .;
   IF (RESBED <= -1) THEN RESBED = .;
   IF (R_AGE1 <= -1) THEN R_AGE1 = .;
   IF (R_AGE2 <= -1) THEN R_AGE2 = .;
   IF (R_AGE3 <= -1) THEN R_AGE3 = .;
   IF (R_AGE4 <= -1) THEN R_AGE4 = .;
   IF (R_AGE5 <= -1) THEN R_AGE5 = .;
   IF (R_AGE6 <= -1) THEN R_AGE6 = .;
   IF (R_AGE7 <= -1) THEN R_AGE7 = .;
   IF (R_AGE9 <= -1) THEN R_AGE9 = .;
   IF (R_RE1 <= -1) THEN R_RE1 = .;
   IF (R_RE2 <= -1) THEN R_RE2 = .;
   IF (R_RE3 <= -1) THEN R_RE3 = .;
   IF (R_RE4 <= -1) THEN R_RE4 = .;
   IF (R_RE5 <= -1) THEN R_RE5 = .;
   IF (R_RE6 <= -1) THEN R_RE6 = .;
   IF (R_RE8 <= -1) THEN R_RE8 = .;
   IF (R_SEX1 <= -1) THEN R_SEX1 = .;
   IF (R_SEX2 <= -1) THEN R_SEX2 = .;
   IF (R_SEX4 <= -1) THEN R_SEX4 = .;
   IF (T_CLI5 <= -1) THEN T_CLI5 = .;
   IF (T_CLI6 <= -1) THEN T_CLI6 = .;
   IF (O_AGE1 <= -1) THEN O_AGE1 = .;
   IF (O_AGE2 <= -1) THEN O_AGE2 = .;
   IF (O_AGE3 <= -1) THEN O_AGE3 = .;
   IF (O_AGE4 <= -1) THEN O_AGE4 = .;
   IF (O_AGE5 <= -1) THEN O_AGE5 = .;
   IF (O_AGE6 <= -1) THEN O_AGE6 = .;
   IF (O_AGE7 <= -1) THEN O_AGE7 = .;
   IF (O_AGE9 <= -1) THEN O_AGE9 = .;
   IF (O_RE1 <= -1) THEN O_RE1 = .;
   IF (O_RE2 <= -1) THEN O_RE2 = .;
   IF (O_RE3 <= -1) THEN O_RE3 = .;
   IF (O_RE4 <= -1) THEN O_RE4 = .;
   IF (O_RE5 <= -1) THEN O_RE5 = .;
   IF (O_RE6 <= -1) THEN O_RE6 = .;
   IF (O_RE8 <= -1) THEN O_RE8 = .;
   IF (O_SEX1 <= -1) THEN O_SEX1 = .;
   IF (O_SEX2 <= -1) THEN O_SEX2 = .;
   IF (O_SEX4 <= -1) THEN O_SEX4 = .;
   IF (T_CLI7 <= -1) THEN T_CLI7 = .;
   IF (A_NUM <= -1) THEN A_NUM = .;
   IF (D_NUM <= -1) THEN D_NUM = .;
   IF (B_NUM <= -1) THEN B_NUM = .;
   IF (A_PCT <= -1) THEN A_PCT = .;
   IF (D_PCT <= -1) THEN D_PCT = .;
   IF (B_PCT <= -1) THEN B_PCT = .;
   IF (T_AGE1 <= -1) THEN T_AGE1 = .;
   IF (T_AGE2 <= -1) THEN T_AGE2 = .;
   IF (T_AGE3 <= -1) THEN T_AGE3 = .;
   IF (T_AGE4 <= -1) THEN T_AGE4 = .;
   IF (T_AGE5 <= -1) THEN T_AGE5 = .;
   IF (T_AGE6 <= -1) THEN T_AGE6 = .;
   IF (T_AGE7 <= -1) THEN T_AGE7 = .;
   IF (T_AGE9 <= -1) THEN T_AGE9 = .;
   IF (T_RE1 <= -1) THEN T_RE1 = .;
   IF (T_RE2 <= -1) THEN T_RE2 = .;
   IF (T_RE3 <= -1) THEN T_RE3 = .;
   IF (T_RE4 <= -1) THEN T_RE4 = .;
   IF (T_RE5 <= -1) THEN T_RE5 = .;
   IF (T_RE6 <= -1) THEN T_RE6 = .;
   IF (T_RE8 <= -1) THEN T_RE8 = .;
   IF (T_SEX1 <= -1) THEN T_SEX1 = .;
   IF (T_SEX2 <= -1) THEN T_SEX2 = .;
   IF (T_SEX4 <= -1) THEN T_SEX4 = .;
   IF (PREGPCT <= -1) THEN PREGPCT = .;
   IF (DEPPCT <= -1) THEN DEPPCT = .;
   IF (INJPCT <= -1) THEN INJPCT = .;
   IF (TBPCT <= -1) THEN TBPCT = .;
   IF (HIVPCT <= -1) THEN HIVPCT = .;
   IF (PREVPCT <= -1) THEN PREVPCT = .;
   IF (MGDPCT <= -1) THEN MGDPCT = .;
   IF (CJPCT <= -1) THEN CJPCT = .;
   IF (ADMITNUM <= -1) THEN ADMITNUM = .;
   IF (ADMITEST <= -1) THEN ADMITEST = .;
   IF (UNDUPEST <= -1) THEN UNDUPEST = .;
   IF (T_AG1FL <= -1) THEN T_AG1FL = .;
   IF (T_AG4FL <= -1) THEN T_AG4FL = .;
   IF (T_AG5FL <= -1) THEN T_AG5FL = .;
   IF (T_AG6FL <= -1) THEN T_AG6FL = .;
   IF (T_AG7FL <= -1) THEN T_AG7FL = .;
   IF (HI_AG1FL <= -1) THEN HI_AG1FL = .;
   IF (HI_AG4FL <= -1) THEN HI_AG4FL = .;
   IF (HI_AG5FL <= -1) THEN HI_AG5FL = .;
   IF (HI_AG6FL <= -1) THEN HI_AG6FL = .;
   IF (HI_AG7FL <= -1) THEN HI_AG7FL = .;
   IF (RC_AG1FL <= -1) THEN RC_AG1FL = .;
   IF (RC_AG4FL <= -1) THEN RC_AG4FL = .;
   IF (RC_AG5FL <= -1) THEN RC_AG5FL = .;
   IF (RC_AG6FL <= -1) THEN RC_AG6FL = .;
   IF (RC_AG7FL <= -1) THEN RC_AG7FL = .;
   IF (OP_AG1FL <= -1) THEN OP_AG1FL = .;
   IF (OP_AG4FL <= -1) THEN OP_AG4FL = .;
   IF (OP_AG5FL <= -1) THEN OP_AG5FL = .;
   IF (OP_AG6FL <= -1) THEN OP_AG6FL = .;
   IF (OP_AG7FL <= -1) THEN OP_AG7FL = .;
   IF (T_RE1FL <= -1) THEN T_RE1FL = .;
   IF (T_RE2FL <= -1) THEN T_RE2FL = .;
   IF (T_RE3FL <= -1) THEN T_RE3FL = .;
   IF (T_RE4FL <= -1) THEN T_RE4FL = .;
   IF (T_RE5FL <= -1) THEN T_RE5FL = .;
   IF (T_RE6FL <= -1) THEN T_RE6FL = .;
   IF (HI_RE1FL <= -1) THEN HI_RE1FL = .;
   IF (HI_RE2FL <= -1) THEN HI_RE2FL = .;
   IF (HI_RE3FL <= -1) THEN HI_RE3FL = .;
   IF (HI_RE4FL <= -1) THEN HI_RE4FL = .;
   IF (HI_RE5FL <= -1) THEN HI_RE5FL = .;
   IF (HI_RE6FL <= -1) THEN HI_RE6FL = .;
   IF (RC_RE1FL <= -1) THEN RC_RE1FL = .;
   IF (RC_RE2FL <= -1) THEN RC_RE2FL = .;
   IF (RC_RE3FL <= -1) THEN RC_RE3FL = .;
   IF (RC_RE4FL <= -1) THEN RC_RE4FL = .;
   IF (RC_RE5FL <= -1) THEN RC_RE5FL = .;
   IF (RC_RE6FL <= -1) THEN RC_RE6FL = .;
   IF (OP_RE1FL <= -1) THEN OP_RE1FL = .;
   IF (OP_RE2FL <= -1) THEN OP_RE2FL = .;
   IF (OP_RE3FL <= -1) THEN OP_RE3FL = .;
   IF (OP_RE4FL <= -1) THEN OP_RE4FL = .;
   IF (OP_RE5FL <= -1) THEN OP_RE5FL = .;
   IF (OP_RE6FL <= -1) THEN OP_RE6FL = .;
   IF (T_SX1FL <= -1) THEN T_SX1FL = .;
   IF (T_SX2FL <= -1) THEN T_SX2FL = .;
   IF (HI_SX1FL <= -1) THEN HI_SX1FL = .;
   IF (HI_SX2FL <= -1) THEN HI_SX2FL = .;
   IF (RC_SX1FL <= -1) THEN RC_SX1FL = .;
   IF (RC_SX2FL <= -1) THEN RC_SX2FL = .;
   IF (OP_SX1FL <= -1) THEN OP_SX1FL = .;
   IF (OP_SX2FL <= -1) THEN OP_SX2FL = .;
   IF (T_AG2FL <= -1) THEN T_AG2FL = .;
   IF (T_AG3FL <= -1) THEN T_AG3FL = .;
   IF (T_AG9FL <= -1) THEN T_AG9FL = .;
   IF (HI_AG2FL <= -1) THEN HI_AG2FL = .;
   IF (HI_AG3FL <= -1) THEN HI_AG3FL = .;
   IF (HI_AG9FL <= -1) THEN HI_AG9FL = .;
   IF (RC_AG2FL <= -1) THEN RC_AG2FL = .;
   IF (RC_AG3FL <= -1) THEN RC_AG3FL = .;
   IF (RC_AG9FL <= -1) THEN RC_AG9FL = .;
   IF (OP_AG2FL <= -1) THEN OP_AG2FL = .;
   IF (OP_AG3FL <= -1) THEN OP_AG3FL = .;
   IF (OP_AG9FL <= -1) THEN OP_AG9FL = .;
   IF (T_RE8FL <= -1) THEN T_RE8FL = .;
   IF (HI_RE8FL <= -1) THEN HI_RE8FL = .;
   IF (RC_RE8FL <= -1) THEN RC_RE8FL = .;
   IF (OP_RE8FL <= -1) THEN OP_RE8FL = .;
   IF (T_SX4FL <= -1) THEN T_SX4FL = .;
   IF (HI_SX4FL <= -1) THEN HI_SX4FL = .;
   IF (RC_SX4FL <= -1) THEN RC_SX4FL = .;
   IF (OP_SX4FL <= -1) THEN OP_SX4FL = .;
*/

RUN ;
